For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
  • Getting started
    • Introduction
    • Obtaining API keys
    • Quickstart
    • Native clients
    • Concepts
    • Embedding authentication
    • Versioning
    • Idempotent requests
    • Events
  • Configuring your connections
    • CDC streaming from databases
  • Code examples
    • Bulk sync (ELT) from HubSpot to PostgreSQL
    • Bulk sync (ELT) from Salesforce to S3
    • Bulk sync (ELT) from Salesforce to Snowflake
    • Model sync (Reverse ETL) from MongoDB to Salesforce
  • API Reference
      • GETList Webhooks
      • POSTCreate Webhook
      • GETGet Webhook
      • DELDelete Webhook
      • PATCHUpdate Webhook
      • POSTDisable Webhook
      • POSTEnable Webhook
Logo
Log inBook a demo
API ReferenceWebhooks

Update Webhook

PATCH
https://app.polytomic.com/api/webhooks/:id
PATCH
/api/webhooks/:id
$curl -X PATCH https://app.polytomic.com/api/webhooks/248df4b7-aa70-47b8-a036-33ac447e668d \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -H "Content-Type: application/json" \
> -u "<username>:<password>" \
> -d '{
> "endpoint": "https://example.com/webhook",
> "secret": "string"
>}'
1{
2 "data": {
3 "created_at": "2024-01-01T00:00:00Z",
4 "disabled": true,
5 "endpoint": "https://example.com/webhook",
6 "id": "248df4b7-aa70-47b8-a036-33ac447e668d",
7 "organization_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
8 "secret": "secret"
9 }
10}

Updates an existing webhook.

📘 One webhook per organization

An organization can register a single webhook, which receives every event produced in that organization. See the Events documentation for the list of event types and payload shapes.

Was this page helpful?
Previous

Disable Webhook

Next

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Polytomic-VersionstringRequired

Request

This endpoint expects an object.
endpointstringRequired
secretstringRequired6-32 characters
organization_idstring or nullOptionalformat: "uuid"

Response

OK
dataobject

Errors

401
Unauthorized Error
422
Unprocessable Entity Error
500
Internal Server Error